summaryrefslogtreecommitdiffstats
path: root/extra/source/kde3-compat/kdelibs3/kdelibs3.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2009-08-26 10:00:38 -0500
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:41:17 +0200
commit5a12e7c134274dba706667107d10d231517d3e05 (patch)
tree55718d5acb710fde798d9f38d0bbaf594ed4b296 /extra/source/kde3-compat/kdelibs3/kdelibs3.SlackBuild
downloadcurrent-slackware-13.0.tar.gz
current-slackware-13.0.tar.xz
Slackware 13.0slackware-13.0
Wed Aug 26 10:00:38 CDT 2009 Slackware 13.0 x86_64 is released as stable! Thanks to everyone who helped make this release possible -- see the RELEASE_NOTES for the credits. The ISOs are off to the replicator. This time it will be a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We're taking pre-orders now at store.slackware.com. Please consider picking up a copy to help support the project. Once again, thanks to the entire Slackware community for all the help testing and fixing things and offering suggestions during this development cycle. As always, have fun and enjoy! -P.
Diffstat (limited to 'extra/source/kde3-compat/kdelibs3/kdelibs3.SlackBuild')
-rwxr-xr-xextra/source/kde3-compat/kdelibs3/kdelibs3.SlackBuild68
1 files changed, 68 insertions, 0 deletions
diff --git a/extra/source/kde3-compat/kdelibs3/kdelibs3.SlackBuild b/extra/source/kde3-compat/kdelibs3/kdelibs3.SlackBuild
new file mode 100755
index 000000000..d197ea32f
--- /dev/null
+++ b/extra/source/kde3-compat/kdelibs3/kdelibs3.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+CWD=`pwd`
+TMP=/tmp
+PKG=$TMP/package-kdelibs
+
+# Set the config option variables if they are not already set:
+if [ -r ../KDE.options ]; then
+ . ../KDE.options
+fi
+
+# The global options may be overridden here (if needed):
+if [ -r ./local.options ]; then
+ . ./local.options
+fi
+
+rm -rf $PKG
+mkdir -p $PKG/usr
+
+# Avoid a version number in .la files:
+if [ -d /opt/kde3/lib64/qt ]; then
+ QTDIR=/opt/kde3/lib64/qt3
+fi
+
+cd $TMP
+echo "Building kdelibs-$VERSION.tar.bz2..."
+tar xjvf $CWD/kdelibs-$VERSION.tar.bz2 || exit 1
+cd kdelibs-$VERSION || exit 1
+
+if [ -r $CWD/apply-patches.sh ]; then
+ . $CWD/apply-patches.sh
+fi
+
+chown -R root:root .
+CFLAGS=$CPUOPT \
+CXXFLAGS=$CPUOPT \
+./configure \
+ --prefix=/opt/kde3 \
+ --libdir=/opt/kde3/lib64 \
+ --sysconfdir=/opt/kde3/etc \
+ --with-ssl-dir=/usr \
+ --with-xinerama \
+ --disable-debug \
+ --enable-dnotify \
+ --program-prefix="" \
+ --program-suffix="" \
+ --build=$TARGET-slackware-linux
+
+make $NUMJOBS || exit 1
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/kdelibs-$VERSION
+cp -a \
+ AUTHORS COMPILING COMPILING.html COPYING* DEBUG INSTALL KDE2PORTING.html KDE3PORTING.html NAMING README kdelibs.lsm \
+ $PKG/usr/doc/kdelibs-$VERSION
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+if [ -d $PKG/usr/man ]; then
+ gzip -9 $PKG/usr/man/man?/*
+fi
+
+cd $PKG
+makepkg -l y -c n ../kdelibs3-$VERSION-$ARCH-$BUILD.txz
+